%global gem_name hrx
Summary: An HRX parser and serializer
Name:    rubygem-hrx
Version: 1.0.0
Release: 1%{?dist}
License: ASL 2.0
URL:     https://github.com/google/hrx-ruby
Source0: https://rubygems.org/gems/hrx-%{version}.gem
BuildRequires: ruby(release), rubygems-devel, ruby >= 2.3.0
BuildRequires: rubygem(rspec), rubygem(linked-list)
BuildArch: noarch

%description
A parser and serializer for the HRX human-readable archive format.

%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n hrx-%{version}

%build
gem build ../hrx-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
sed -i "/require 'rspec\/temp_dir'/ s/^/#/" spec/archive_spec.rb
sed -i '/^  context "::load" do$/,/^  end$/ s/^/#/' spec/archive_spec.rb
sed -i '/^  context "#write!" do$/,/^  end$/ s/^/#/' spec/archive_spec.rb
rspec -Ilib spec
popd


%files
%license %{gem_instdir}/LICENSE
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Gemfile
%{gem_instdir}/hrx.gemspec
%{gem_instdir}/spec

%changelog
* Wed Dec 27 2023 Chair <chairou@tencent.com> - 1.0.0-1
- Init
